Show / Hide Table of Contents

# Class OpenIddictValidationOwinExtensions

Exposes extensions allowing to register the OpenIddict validation services.

##### Inheritance

System.Object
OpenIddictValidationOwinExtensions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Microsoft.Extensions.DependencyInjection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class OpenIddictValidationOwinExtensions

### Methods

#### UseOwin(OpenIddictValidationBuilder)

Registers the OpenIddict validation services for OWIN in the DI container.

##### Declaration

    public static OpenIddictValidationOwinBuilder UseOwin(this OpenIddictValidationBuilder builder)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictValidationBuilder | builder | The services builder used by OpenIddict to register new services.

##### Returns

Type | Description
--- | ---
OpenIddictValidationOwinBuilder | The OpenIddictValidationOwinBuilder.

##### Remarks

This extension can be safely called multiple times.

#### UseOwin(OpenIddictValidationBuilder, Action<OpenIddictValidationOwinBuilder>)

Registers the OpenIddict validation services for OWIN in the DI container.

##### Declaration

    public static OpenIddictValidationBuilder UseOwin(this OpenIddictValidationBuilder builder, Action<OpenIddictValidationOwinBuilder> configuration)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictValidationBuilder | builder | The services builder used by OpenIddict to register new services.
System.Action<OpenIddictValidationOwinBuilder> | configuration | The configuration delegate used to configure the validation services.

##### Returns

Type | Description
--- | ---
OpenIddictValidationBuilder | The OpenIddictValidationBuilder.

##### Remarks

This extension can be safely called multiple times.